Recent

Author Topic: Error: Error while compiling resources?  (Read 5982 times)

SirLucifer

  • New Member
  • *
  • Posts: 18
Error: Error while compiling resources?
« on: February 03, 2010, 01:12:35 pm »
So, I have a project, originally written and compiled using FPC 2.3.1. Yesterday I got a recommendation, elsewhere in these forums, to use FPC 2.5.1 that would better suite my needs.
So, I uninstalled Lazarus, but left the settings, installed Lazarus with FPC 2.5.1, rebuilt it a few times to include some needed components.
Then, I opened my old project, built it... And it went right through the compiler (as it should). So, I thought I indicate this step up in compiler by increasing the version resource.
Here's where it all stops working!  Now, I get an "Error: Error whild compiling resources" every time I try to build the project.
I've managed to see that it's not the .rc that causes the problem, but a .or
What's a .or?
And how do I make this problem go away?

I just noted that Quick Compiling the project works without a hitch...

Regards
« Last Edit: February 03, 2010, 01:16:27 pm by SirLucifer »

Leledumbo

  • Hero Member
  • *****
  • Posts: 8244
  • Programming + Glam Metal + Tae Kwon Do = Me
Re: Error: Error while compiling resources?
« Reply #1 on: February 05, 2010, 07:08:19 am »
Quote
What's a .or?
As far as I can see, it looks like a compiled .rc. You'll get it for every resource in {$R} directive.
Quote
And how do I make this problem go away?
Depending on the contents of .rc file, you may try to remove it first.

 

TinyPortal © 2005-2018